It's not compatible at all with FF3.5 Rated 1 out of 5 stars

When I enable this add-on I cannot work with several windows nor can I tear off a tag to open it in a new window. If I do,I cannot close the other windows without closing the browser. Should I close the browser, when I restart it, I get the same windows opened and the same issue as before
I cannot close the browser clicking on the red cross over the upper right corner, only by File>Exit.

Or I have to force the browser to close by Ctrl+Alt+Del, Aplications, selecting one of the extra windows (not the browser’s one), clicking Finish task. Then all the windows get closed including the browser’s one and when I restart the browser I get the “This is a shame” message within the restore session window, then I select “Start a new session” and then and only then I have a normal browser window.
Lo and behold I try to tear of a tag to open in a new window, or I right click on a tag and choose Open in a new window from the context menu, I have the same issue all over again!

This issue was solved as soon as I disabled this extension, so please don't tell us it's 3.5 compatible because it sure isn't.
And please DO update it to make it really compatible because it's a very good translator tool and it was a pity to have to disable it!

This review is for a previous version of the add-on (1.4).  This user has other reviews of this add-on.